Method: projects.locations.endpoints.queryTransactionState

查詢交易狀態。這個方法可針對提交至網路的任何交易呼叫。傳回的交易明細在不同呼叫之間可能有所差異,因為端點可能會將要求傳送至網路和區域內的不同驗證器,而驗證器在任何指定時間可能不屬於同一個回合 ID。

HTTP 要求


GET https://universalledger.googleapis.com/v1/{endpoint=projects/*/locations/*/endpoints/*}:queryTransactionState

這些網址使用 gRPC 轉碼語法。

路徑參數

參數
endpoint

string

這是必要旗標,處理要求的端點。格式:projects/{project}/locations/{location}/endpoints/{endpoint}位置是區域。

查詢參數

參數
transactionDigestHex

string

這是必要旗標,要取得狀態的交易 ID。

要求主體

要求主體必須為空白。

回應主體

端點的查詢交易狀態回應訊息。

如果成功,回應主體會含有以下結構的資料:

JSON 表示法
{
  "transactionAttempts": [
    {
      object (TransactionAttempt)
    }
  ]
}
欄位
transactionAttempts[]

object (TransactionAttempt)

每個已知交易提交給處理要求的驗證器時,都會產生一個項目。

授權範圍

需要下列 OAuth 範圍:

  • https://www.googleapis.com/auth/cloud-platform

詳情請參閱Authentication Overview